## boxar 1.1-1

=== Makefile ===
boxar:
	gcc -O2 $(CFLAGS) boxar.c -o boxar `pkg-config --cflags gtk+-2.0 esound` `pkg-config --libs gtk+-2.0 esound` -lpthread

clean:
	rm -f boxar.o boxar

install: boxar
	install -m 0755 boxar $(DESTDIR)/usr/bin/boxar
	install -m 0755 boxar.desktop $(DESTDIR)/usr/share/applications/hildon/boxar.desktop

=== debian/changelog ===
boxar (1.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Sampath Jagannathan <jagernot@gmail.com>  Sat, 13 Dec 2008 21:08:57 +0000

=== debian/control ===
Source: boxar
Section:user/others
Priority: extra
Maintainer: Sampath Jagannathan <jagernot@gmail.com>
Build-Depends: debhelper (>= 5), libesd0-dev, libgtk2.0-dev
Standards-Version: 3.7.2

Package: boxar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Boxes on the screen. Each has a note. Tap to play
 Boxar is an easy to learn and easy to master musical instrument
 for the Nokia Internet Tablet (N810, N800). 
 .
 Visit http://www.poojyum.com/boxar for quick instructions, 
 audio-visual samples and source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Use hardware floating point
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp -mfloat-abi=softfp
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" $(MAKE)
	#docbook-to-man debian/boxar.sgml > boxar.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/boxar.
	$(MAKE) DESTDIR=$(CURDIR)/debian/boxar install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
